Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Customers
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Customers

create

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
POST
/v1/customers

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Body Params application/json

Examples

Responses

🟢200
application/json
successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.checkandplace.com/v1/customers' \
--header 'CheckandPlace-Access-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "string",
    "last_name": "string",
    "customer_type_id": "17f23787-378b-4416-8520-1bc89c43d022",
    "primary_phone_number": "905553332211",
    "gender": 0,
    "country": "TR",
    "guest_language": "tr",
    "email": "example@mail.com",
    "note": "Example note",
    "blacklist": true,
    "allow_sms": true,
    "allow_email": true,
    "permits": {
        "sms": {
            "permit": true,
            "value": "string",
            "source": "string",
            "change_date": "2019-08-24T14:15:22.123Z",
            "verified": true
        },
        "email": {
            "permit": true,
            "value": "string",
            "source": "string",
            "change_date": "2019-08-24T14:15:22.123Z",
            "verified": true
        },
        "call": {
            "permit": true,
            "value": "string",
            "source": "string",
            "change_date": "2019-08-24T14:15:22.123Z",
            "verified": true
        },
        "whatsapp": {
            "permit": true,
            "value": "string",
            "source": "string",
            "change_date": "2019-08-24T14:15:22.123Z",
            "verified": true
        }
    }
}'
Response Response Example
{
    "customer": {
        "id": "fbb6c72b-802b-4cbf-9b2f-948a5de4854b",
        "first_name": "John",
        "last_name": "Doe",
        "primary_phone_number": "905553331122",
        "type_name": "normal",
        "allow_sms": true,
        "allow_email": true,
        "permission_informations": [],
        "organization": {
            "id": "547d7c63-18c7-40f0-bf2a-a29737c312a9",
            "name": "Example Organization",
            "slug": "example-organization"
        }
    }
}
Modified at 2026-05-06 13:06:45
Previous
Introduction
Next
index
Built with